List documents in collection
curl --request GET \
--url https://api.intelligence.io.solutions/api/r2r/v3/collections/{id}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.intelligence.io.solutions/api/r2r/v3/collections/{id}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.intelligence.io.solutions/api/r2r/v3/collections/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"collection_ids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"owner_id": "123e4567-e89b-12d3-a456-426614174000",
"document_type": "pdf",
"metadata": {
"title": "Sample Document"
},
"version": "1.0",
"title": "Sample Document",
"size_in_bytes": 123456,
"ingestion_status": "pending",
"extraction_status": "pending",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"ingestion_attempt_number": 0,
"summary": "A summary of the document",
"summary_embedding": [
0.1,
0.2,
0.3
],
"total_tokens": 1000
}
],
"total_entries": 1
}{}Collections
List documents in collection
Get all documents in a collection with pagination and sorting options.
GET
/
api
/
r2r
/
v3
/
collections
/
{id}
/
documents
List documents in collection
This endpoint retrieves a paginated list of documents associated with a specific collection. It supports sorting options to customize the order of returned documents.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Collection ID
Query Parameters
Specifies the number of objects to skip. Defaults to 0. >=0
Specifies a limit on the number of objects to return, ranging between 1 and 100. Defaults to 100. >=1 <=1000
Was this page helpful?
⌘I